Bug 17245 - Untranslatable abbreviated names of seasons
Summary: Untranslatable abbreviated names of seasons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Rafal Kopaczka
QA Contact: Testopia
URL:
Keywords:
Depends on: 16289
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-03 16:27 UTC by Rafal Kopaczka
Modified: 2017-06-14 22:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17245: Untranslatable abbreviated names of seasons. (3.25 KB, patch)
2016-09-03 16:43 UTC, Rafal Kopaczka
Details | Diff | Splinter Review
Bug 17245: Untranslatable abbreviated names of seasons. (3.35 KB, patch)
2016-09-19 17:41 UTC, Mark Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 17245: Untranslatable abbreviated names of seasons. (3.42 KB, patch)
2016-09-25 08:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Rafal Kopaczka 2016-09-03 16:27:06 UTC
Bug 16289 adds new abbreviated names of seasons to the code, but not to the templates. Because seasons have special treatment in numbering patterns, those abbreviated names should be added to templates.
Comment 1 Rafal Kopaczka 2016-09-03 16:43:23 UTC
Created attachment 55164 [details] [review]
Bug 17245: Untranslatable abbreviated names of seasons.

Because seasons strings are not available through DateTime module,
names of them where added in code, and templates. Bug 16289 adds new
abbreviated form to the code, but not to the templates. This patch
should fix the problem.

To test:
1. Apply patch.
2. Run "misc/translator/translate update" for you language.
3. Check if names are in po/ file for language.
4. Check if generating next issue for serial and prediction patterns
works correct.
Comment 2 Rafal Kopaczka 2016-09-03 16:48:07 UTC
There's quick fix, but I'm not sure it's the best way to fix it.
If someone have better idea, fell free to assign to this bug.
Comment 3 Katrin Fischer 2016-09-04 20:28:53 UTC
Thx Rafal!
Comment 4 Mark Tompsett 2016-09-19 17:41:37 UTC
Created attachment 55700 [details] [review]
Bug 17245: Untranslatable abbreviated names of seasons.

Because seasons strings are not available through DateTime module,
names of them where added in code, and templates. Bug 16289 adds new
abbreviated form to the code, but not to the templates. This patch
should fix the problem.

To test:
1. Apply patch.
2. Run "misc/translator/translate update" for you language.
3. Check if names are in po/ file for language.
4. Check if generating next issue for serial and prediction patterns
works correct.

NOTE: or "create {language code}" instead of update.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Katrin Fischer 2016-09-25 08:35:36 UTC
Created attachment 55793 [details] [review]
[PASSED QA] Bug 17245: Untranslatable abbreviated names of seasons.

Because seasons strings are not available through DateTime module,
names of them where added in code, and templates. Bug 16289 adds new
abbreviated form to the code, but not to the templates. This patch
should fix the problem.

To test:
1. Apply patch.
2. Run "misc/translator/translate update" for you language.
3. Check if names are in po/ file for language.
4. Check if generating next issue for serial and prediction patterns
works correct.

NOTE: or "create {language code}" instead of update.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 6 Kyle M Hall 2016-09-27 11:13:55 UTC
Pushed to master for 16.11, thanks Rafal!
Comment 7 Frédéric Demians 2016-09-30 08:51:52 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 8 Julian Maurice 2016-10-14 12:03:29 UTC
Pushed to 3.22.x, will be in 3.22.12